CFD Online Logo CFD Online URL
www.cfd-online.com
[Sponsors]
Home > Forums > OpenFOAM Paraview & paraFoam

Building problems with ParaView

Register Blogs Members List Search Today's Posts Mark Forums Read

Like Tree1Likes
  • 1 Post By wyldckat

Reply
 
LinkBack Thread Tools Display Modes
Old   September 26, 2013, 15:55
Default Building problems with ParaView
  #1
Senior Member
 
Tobi's Avatar
 
Tobias Holzmann
Join Date: Oct 2010
Location: Augsburg (Bavaria, Germany) Leoben (Styria, Austria)
Posts: 845
Rep Power: 17
Tobi will become famous soon enough
Send a message via ICQ to Tobi Send a message via Skype™ to Tobi
Hi all,

I am out of mind. Too many times I compiled paraview in the ThirdPartys with success but now its not working anymore.

In the attachment is my log file of the building stages (configure / make / make install).

Code:
./makeParaView -rebuild -config -gcc > log.BuildParaview 2>&1 &
The only thing what is different is the following line in my bashrc:
Code:
source $HOME/OpenFOAM/OpenFOAM-2.2.x/etc/bashrc WM_COMPILER=Gcc47 WM_MPLIB=SYSTEMOPENMPI WM_NCOMPPROCS=8 foamCompiler=ThirdParty
No binaries are build in:
Code:
WM_THIRD_PARTY_DIR/platforms/linux64Gcc47/paraview-3.12.0
Any suggestions are appreciated.

Regards
Tobi
Attached Files
File Type: zip log.BuildParaview.zip (69.1 KB, 1 views)
Tobi is offline   Reply With Quote

Old   September 27, 2013, 19:52
Default
  #2
Super Moderator
 
Bruno Santos
Join Date: Mar 2009
Location: Lisbon, Portugal
Posts: 6,981
Blog Entries: 32
Rep Power: 68
wyldckat is a jewel in the roughwyldckat is a jewel in the roughwyldckat is a jewel in the rough
Hi Tobi,

Well, knowing which Linux Distribution you are using would help figuring out what might be happening.
But since the makeParaView script is indicating that you are using Qt 4.8.1, then I'm guessing you are using Ubuntu 12.04.
In this case, I suggest that you check these instructions: http://openfoamwiki.net/index.php/In...u#Ubuntu_12.04
More specifically, those instructions indicate that you should build ParaView 3.12.0 with Ubuntu's default GCC version, which for Ubuntu 12.04 is GCC 4.6.3.

You can then create a symbolic link:
Code:
ln -s $WM_THIRD_PARTY/platforms/linux64Gcc/paraview-3.12.0 $WM_THIRD_PARTY/platforms/linux64Gcc47/paraview-3.12.0
The other possibility is that the ThirdParty tarball did not unpack correctly.

Best regards,
Bruno
Tobi likes this.
wyldckat is offline   Reply With Quote

Reply

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Trackbacks are On
Pingbacks are On
Refbacks are On


Similar Threads
Thread Thread Starter Forum Replies Last Post
Problems building Paraview 3.12 on Gentoo Linux pajot OpenFOAM Installation 11 April 11, 2013 08:09
Installation problems about Paraview and PV3foamreader clark_liang OpenFOAM Installation 1 January 12, 2009 06:05
Problems using paraview 244 under open FOAM 141 or 13 sergio OpenFOAM Paraview & paraFoam 0 March 13, 2008 14:52
Problems with paraView alejo OpenFOAM Pre-Processing 0 February 17, 2006 07:24
Problems with Paraview evgenii OpenFOAM Paraview & paraFoam 2 November 23, 2005 07:35


All times are GMT -4. The time now is 01:00.